incubator-ooo-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 119229] New: ExtensionsLst.pm does not download newer versions of extensions
Date Sun, 15 Apr 2012 11:11:17 GMT
https://issues.apache.org/ooo/show_bug.cgi?id=119229

             Bug #: 119229
        Issue Type: DEFECT
           Summary: ExtensionsLst.pm does not download newer versions of
                    extensions
    Classification: Code
           Product: tools
           Version: current
          Platform: All
        OS/Version: All
            Status: CONFIRMED
          Severity: normal
          Priority: P3
         Component: code
        AssignedTo: nesshof@nesshof.de
        ReportedBy: pescetti@apache.org
                CC: ooo-issues@incubator.apache.org


The logic in ExtensionsLst.pm seems:

- if the extension has already been downloaded, use the already downloaded
version
- otherwise, download it and compare the checksum with the one expected from
extensions.lst

But most extensions use the same filename across releases. So the logic should
be changed to:

- if the extension has already been downloaded and ( extensions.lst has no
checksum for it or (extensions.lst has a checksum and it matches) ), use the
already downloaded version
- otherwise [same as above]

Alternatively, checksums could be prepended to the downloaded file names; this
would allow, for example, both the Italian and Spanish dictionary to be named
"dict.oxt" (but this would probably break later in packaging anyway)

See http://s.apache.org/xkuN for context.

-- 
Configure bugmail: https://issues.apache.org/ooo/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

Mime
View raw message